# $Revision: 1.8 $, $Date: 2009/02/01 18:45:12 $
Summary:	An implementation of Albert Einstein's puzzle
Summary(pl.UTF-8):	Implementacja gry logicznej Alberta Einsteina
Name:		einstein
Version:	2.0
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://games.flowix.com/files/einstein/%{name}-%{version}-src.tar.gz
# Source0-md5:	c1d98e761c10af63f03462ead625f80c
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-gcc43.patch
Patch2:		%{name}-kill-warnings.patch
URL:		http://games.flowix.com/
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The game goal is to open all cards in square of 6x6 cards. For this, a
number of hints describing relations between card positions are given.

%description -l pl.UTF-8
Celem gry jest odsłonięcie wszystkich kart w kwadracie 6x6 za pomocą
podpowiedzi opisujących relacje pomiędzy poszczególnymi kartami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: einstein.spec,v $
Revision 1.8  2009/02/01 18:45:12  adamg
- desktop file; release 3

Revision 1.7  2009/01/02 21:31:18  adamg
- x86-64 buildfix; release 2

Revision 1.6  2009/01/02 13:29:05  adamg
- gcc43, kill-warnings patches

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.3  2006/10/13 08:54:01  qboosh
- optflags, BR: libstdc++-devel

Revision 1.2  2006/10/12 17:59:45  ankry
- adapterized

Revision 1.1  2006/10/12 16:45:00  lisu
- new
